"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var objects_1 = require("../helpers/objects");
var Entity = (function () {
    function Entity(name, database, entity) {
        if (name === void 0) { name = null; }
        if (database === void 0) { database = "master"; }
        if (entity === void 0) { entity = null; }
        this.name = name;
        this.database = database;
        if (typeof entity === "string") {
            this.parseCreate(entity);
        }
        else {
            this.parseJSON(entity);
        }
    }
    Entity.prototype.onParseError = function (e, offendingObjectName, entityTypeName) {
        this.clear();
        return new objects_1.Summary(["Failed to parse " + entityTypeName + ": due to " + offendingObjectName + ": " + e.message]);
    };
    return Entity;
}());
exports.Entity = Entity;
