import { Entity } from "./entity.abstract";
import { TableFile } from "../models/schemaFiles.models";
import * as subEntities from "./subDbEntities/subDbEntities.grouping";
import * as helperObjects from "../helpers/objects";
export declare class Table extends Entity<TableFile.ITable> {
    constructor(name: string, database: string, entity?: TableFile.ITable | string);
    columns: subEntities.Column[];
    constraints: subEntities.Constraint[];
    triggers: subEntities.Trigger[];
    protected parseCreate(create: string): helperObjects.Summary;
    protected parseJSON(object: TableFile.ITable): helperObjects.Summary;
    clear(): Table;
    asCreate(): string;
    asJSON(): TableFile.ITable;
}
