import { Entity, IEntity } from "../dbEntities/entity.abstract";
import * as models from "../models/typelite.models";
export interface IDBJob<entity extends Entity<any>> {
    path: string;
    object: entity;
}
export declare class DBAlterJob<entity extends Entity<any>> implements IDBJob<entity> {
    path: string;
    object: entity;
    existingEntity: IEntity;
    constructor(path?: string, object?: entity, existingEntity?: IEntity);
}
export declare class DBCreateJob<entity extends Entity<any>> implements IDBJob<entity> {
    path: string;
    object: entity;
    entityExistsOptions: models.IEntityExistsOptions;
    constructor(path?: string, object?: entity, entityExistsOptions?: models.IEntityExistsOptions);
}
