"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DBAlterJob = (function () {
    function DBAlterJob(path, object, existingEntity) {
        if (path === void 0) { path = null; }
        if (object === void 0) { object = null; }
        if (existingEntity === void 0) { existingEntity = { name: null, database: null }; }
        this.path = path;
        this.object = object;
        this.existingEntity = existingEntity;
    }
    return DBAlterJob;
}());
exports.DBAlterJob = DBAlterJob;
var DBCreateJob = (function () {
    function DBCreateJob(path, object, entityExistsOptions) {
        if (path === void 0) { path = null; }
        if (object === void 0) { object = null; }
        if (entityExistsOptions === void 0) { entityExistsOptions = { alterIfExists: true, errorIfExists: false }; }
        this.path = path;
        this.object = object;
        this.entityExistsOptions = entityExistsOptions;
    }
    return DBCreateJob;
}());
exports.DBCreateJob = DBCreateJob;
