"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CLI;
(function (CLI) {
    CLI.commands = [
        //"generate",
        "deploy",
        "test",
        "debug"
    ];
    CLI.options = [
        { name: "xml", alias: "x", type: Boolean, defaultValue: false, group: ["deploy", "generate"] },
        { name: "schema", alias: "s", type: String, multiple: false, defaultValue: "./", group: ["deploy", "generate"] },
        { name: "databases", alias: "d", type: String, multiple: true, defaultValue: "master.sqlite3", group: ["deploy", "generate"] },
        { name: "clean", alias: "c", type: Boolean, defaultValue: false, group: "deploy" } // Should existing db files be cleaned when deployed to, or should existing data remain?
    ];
})(CLI = exports.CLI || (exports.CLI = {}));
