import * as fileModels from "../models/schemaFiles.models";
import * as subDbEntities from "../dbEntities/subDbEntities/subDbEntities.grouping";
/**
 * Functions for converting schema-file objects into Entity/SubEntity objects used within this project.
 */
export declare namespace FileToEntity {
    /**
     * Converts a schema-file constraint into a constraint object usable by the Table class.
     * @param constraint A schema-file constraint
     * @throws {TypeError}
     */
    function TableConstraint(constraint: fileModels.TableFile.IConstraint): subDbEntities.Constraint;
}
export declare namespace EntityToFile {
    function TableConstraint(constraint: subDbEntities.Constraint): fileModels.TableFile.IConstraint;
}
