import * as sqliteModels from "../../models/sqlite.models";
import * as helperObjects from "../../helpers/objects";
export declare class Trigger {
    name: string;
    when: sqliteModels.TriggerTime;
    event: sqliteModels.TriggerEvent;
    eventColumns: string[];
    condition: string;
    executeStatements: string[];
    constructor(name: string, when?: sqliteModels.TriggerTime, event?: sqliteModels.TriggerEvent, eventColumns?: string[], condition?: string, executeStatements?: string[]);
    validate(): helperObjects.Summary;
}
