/** Generic string, because I cannot put all variations of "character(20)", etc., in a string-literal type list. */
export declare type SqliteData = string;
export declare type Constraint = "pk" | "fk" | "notnull" | "unique" | "check" | "default";
/** "abort" is sqlite default */
export declare type ConstraintConflictResolution = "rollback" | "abort" | "fail" | "ignore" | "replace";
export declare var DefaultConstraintConflictResolution: ConstraintConflictResolution;
export declare type Order = "asc" | "desc";
export declare type TriggerTime = "before" | "after" | "instead";
export declare type TriggerEvent = "delete" | "insert" | "update";
