"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function IEntityExistsOptionsInstance(alterIfExists, errorIfExists) {
    if (alterIfExists === void 0) { alterIfExists = null; }
    if (errorIfExists === void 0) { errorIfExists = null; }
    return {
        alterIfExists: alterIfExists,
        errorIfExists: errorIfExists
    };
}
exports.IEntityExistsOptionsInstance = IEntityExistsOptionsInstance;
function IDeploymentOptionsInstance(path, entityExistsOptions) {
    if (path === void 0) { path = null; }
    if (entityExistsOptions === void 0) { entityExistsOptions = IEntityExistsOptionsInstance(); }
    return {
        path: path,
        entityExistsOptions: entityExistsOptions
    };
}
exports.IDeploymentOptionsInstance = IDeploymentOptionsInstance;
function IFileWriteJobInstance(fileName, path, contents) {
    if (fileName === void 0) { fileName = null; }
    if (path === void 0) { path = null; }
    if (contents === void 0) { contents = null; }
    return {
        fileName: fileName,
        path: path,
        contents: contents
    };
}
exports.IFileWriteJobInstance = IFileWriteJobInstance;
